aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorSandrine Bailleux <sandrine.bailleux@arm.com>2018-10-09 11:12:55 +0200
committerSandrine Bailleux <sandrine.bailleux@arm.com>2018-10-10 12:34:34 +0200
commit3cd87d77947ec4fc04440268ed122b4ed81c7781 (patch)
tree78fdee12b026b931029e434f29b4fe09835fe4c9 /scripts
downloadtf-a-tests-3cd87d77947ec4fc04440268ed122b4ed81c7781.tar.gz
Trusted Firmware-A Tests, version 2.0v2.0
This is the first public version of the tests for the Trusted Firmware-A project. Please see the documentation provided in the source tree for more details. Change-Id: I6f3452046a1351ac94a71b3525c30a4ca8db7867 Signed-off-by: Sandrine Bailleux <sandrine.bailleux@arm.com> Co-authored-by: amobal01 <amol.balasokamble@arm.com> Co-authored-by: Antonio Nino Diaz <antonio.ninodiaz@arm.com> Co-authored-by: Asha R <asha.r@arm.com> Co-authored-by: Chandni Cherukuri <chandni.cherukuri@arm.com> Co-authored-by: David Cunado <david.cunado@arm.com> Co-authored-by: Dimitris Papastamos <dimitris.papastamos@arm.com> Co-authored-by: Douglas Raillard <douglas.raillard@arm.com> Co-authored-by: dp-arm <dimitris.papastamos@arm.com> Co-authored-by: Jeenu Viswambharan <jeenu.viswambharan@arm.com> Co-authored-by: Jonathan Wright <jonathan.wright@arm.com> Co-authored-by: Kévin Petit <kevin.petit@arm.com> Co-authored-by: Roberto Vargas <roberto.vargas@arm.com> Co-authored-by: Sathees Balya <sathees.balya@arm.com> Co-authored-by: Shawon Roy <Shawon.Roy@arm.com> Co-authored-by: Soby Mathew <soby.mathew@arm.com> Co-authored-by: Thomas Abraham <thomas.abraham@arm.com> Co-authored-by: Vikram Kanigiri <vikram.kanigiri@arm.com> Co-authored-by: Yatharth Kochar <yatharth.kochar@arm.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/run_fwu_fvp.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/scripts/run_fwu_fvp.sh b/scripts/run_fwu_fvp.sh
new file mode 100755
index 000000000..a47365efc
--- /dev/null
+++ b/scripts/run_fwu_fvp.sh
@@ -0,0 +1,34 @@
+#! /bin/bash
+
+set -e
+
+function check_file {
+ if [ -e "$1" ]; then
+ return 0
+ else
+ echo "File $1 does not exist."
+ return 1
+ fi
+}
+
+# Check the presence of all required files.
+check_file bl1.bin
+check_file ns_bl1u.bin
+check_file fip.bin
+check_file fwu_fip.bin
+check_file backup_fip.bin ||
+ (echo "Creating backup_fip.bin as a copy of fip.bin." ;
+ cp fip.bin backup_fip.bin)
+
+# Chosen topology: 2 clusters of 4 cores each.
+# Power on core 0 only.
+# Load all binaries at the right addresses.
+FVP_Base_RevC-2xAEMv8A \
+ -C cluster0.NUM_CORES=4 \
+ -C cluster1.NUM_CORES=4 \
+ -C pctl.startup=0.0.0.0 \
+ -C bp.secureflashloader.fname=bl1.bin \
+ -C bp.flashloader0.fname=fip.bin \
+ --data cluster0.cpu0=backup_fip.bin@0x09000000 \
+ --data cluster0.cpu0=fwu_fip.bin@0x08400000 \
+ --data cluster0.cpu0=ns_bl1u.bin@0x0beb8000